#if !defined(AFX_SELECTDLG_H_INCLUDED_)
#define AFX_SELECTDLG_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SelectDlg.h : header file
//

#include "SceneView.h"
#include "ButHint.h"
#include "OXStaticText.h"

/////////////////////////////////////////////////////////////////////////////
// CSelectDlg dialog

class CSelectDlg : public CDialogBar
{
	CSceneView m_wndScene;

// Construction
public:
	void RedrawScene();
	CSelectDlg(CWnd* pParent = NULL);   // standard constructor
	void CreateControls();
	void SetCountStr(int nCnt1, int nCnt2, int nCGms1, int nCGms2);
	void OnStartGame(bool bStart);

// Dialog Data
	//{{AFX_DATA(CSelectDlg)
	enum { IDD = IDD_SELECT_DLG };
	COXStaticText m_ctlTitle6;
	COXStaticText m_ctlTitle5;
	COXStaticText m_ctlTitle4;
	COXStaticText m_ctlTitle3;
	COXStaticText m_ctlTitle2;
	COXStaticText m_ctlTitle1;
	COXStaticText m_ctlGames2;
	COXStaticText m_ctlGames1;
	COXStaticText m_ctlCnt2;
	COXStaticText m_ctlCnt1;
	CButHint m_ctlFinish;
	CButHint m_ctlEndProgr;
	CButHint m_ctlStart;
	CButHint m_ctlOper7;
	CButHint m_ctlOper6;
	CButHint m_ctlOper5;
	CButHint m_ctlOper4;
	CButHint m_ctlOper3;
	CButHint m_ctlOper2;
	CButHint m_ctlOper1;
	CButHint m_ctlDelProg;
	CButHint m_ctlDelMove;
	CButHint m_ctlAddProg;
	CButHint m_ctlAddMove;
	CButHint m_ctlAddDesc;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSelectDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSelectDlg)
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void UpdateRect(CDC& dc, CRect& Rect1);
	void SetCtlTitle(COXStaticText &ctlTitle, int nSize);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SELECTDLG_H_INCLUDED_)
