#if !defined(AFX_PROGRAMTREE_H_INCLUDED_)
#define AFX_PROGRAMTREE_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProgramTree1.h : header file
//

#include "ProgData.h"
#include "Human.h"

/////////////////////////////////////////////////////////////////////////////
// CProgramTree1 window

class CProgramTree : public CWnd
{
	int m_nBottomMax, m_nRightMax, m_xOperSize;
	CBitmap m_bmpOper[NUM_OPERAT], m_bmpBody[NUM_PARTS];

public:
	int m_xScrollPos, m_yScrollPos;
	int m_nCurProg, m_nCurOper;
	CProgramData *m_pProg;

// Construction
public:
	CProgramTree();

	void RedrawClient(){ CClientDC dc(this); PaintClient(dc); }
	void CreateScrolls();
	void ZeroScrolls(){ m_xScrollPos= m_yScrollPos= m_nBottomMax= m_nRightMax= 0; CreateScrolls(); }

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProgramTree1)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CProgramTree();

	// Generated message map functions
protected:
	//{{AFX_MSG(CProgramTree)
	afx_msg void OnPaint();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void PaintClient(CDC& dc);
	BOOL ScrollPicWindow(int nScrollBar, WORD wScrollCode);
	void ScrollWindowAt(int xScroll, int yScroll);
	int GetTreeSize(int nProg1, int& nCols);
	void DrawProgramTree(CDC& dc, int nProg1);
	bool FindOperByPoint(CPoint& point, int& nProg1, int& nOper1);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROGRAMTREE_H_INCLUDED_)
