// SelectDlg.cpp : implementation file
//

#include "stdafx.h"
#include "maxfight.h"
#include "SelectDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSelectDlg dialog


CSelectDlg::CSelectDlg(CWnd* pParent /*=NULL*/)
{
	//{{AFX_DATA_INIT(CSelectDlg)
	//}}AFX_DATA_INIT
}


void CSelectDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogBar::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSelectDlg)
	DDX_Control(pDX, IDC_TITLE6, m_ctlTitle6);
	DDX_Control(pDX, IDC_TITLE5, m_ctlTitle5);
	DDX_Control(pDX, IDC_TITLE4, m_ctlTitle4);
	DDX_Control(pDX, IDC_TITLE3, m_ctlTitle3);
	DDX_Control(pDX, IDC_TITLE2, m_ctlTitle2);
	DDX_Control(pDX, IDC_TITLE1, m_ctlTitle1);
	DDX_Control(pDX, IDC_CNT_GAMES2, m_ctlGames2);
	DDX_Control(pDX, IDC_CNT_GAMES1, m_ctlGames1);
	DDX_Control(pDX, IDC_CNT_PLAYER2, m_ctlCnt2);
	DDX_Control(pDX, IDC_CNT_PLAYER1, m_ctlCnt1);
	DDX_Control(pDX, IDC_BUT_FINISH, m_ctlFinish);
	DDX_Control(pDX, IDC_BUT_END_PROGR, m_ctlEndProgr);
	DDX_Control(pDX, IDC_BUT_START, m_ctlStart);
	DDX_Control(pDX, IDC_OPER7, m_ctlOper7);
	DDX_Control(pDX, IDC_OPER6, m_ctlOper6);
	DDX_Control(pDX, IDC_OPER5, m_ctlOper5);
	DDX_Control(pDX, IDC_OPER4, m_ctlOper4);
	DDX_Control(pDX, IDC_OPER3, m_ctlOper3);
	DDX_Control(pDX, IDC_OPER2, m_ctlOper2);
	DDX_Control(pDX, IDC_OPER1, m_ctlOper1);
	DDX_Control(pDX, IDC_BUT_DELPROG, m_ctlDelProg);
	DDX_Control(pDX, IDC_BUT_DELMOVE, m_ctlDelMove);
	DDX_Control(pDX, IDC_BUT_ADDPROG, m_ctlAddProg);
	DDX_Control(pDX, IDC_BUT_ADDMOVE, m_ctlAddMove);
	DDX_Control(pDX, IDC_BUT_ADDDESC, m_ctlAddDesc);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSelectDlg, CDialogBar)
	//{{AFX_MSG_MAP(CSelectDlg)
	ON_WM_PAINT()
	ON_WM_SIZE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSelectDlg message handlers

void CSelectDlg::CreateControls()
{
	UpdateData(FALSE);

	CWnd* pFrame= GetDlgItem(IDC_SCENE_BORD);
	CRect rcClient;
	pFrame->GetWindowRect(&rcClient);
	ScreenToClient(&rcClient);
	m_wndScene.Create(NULL, NULL, WS_CHILD | WS_VISIBLE, rcClient, this, IDC_SCENE_WND);

	CBitmap Bitmap;
	Bitmap.LoadBitmap(IDB_BUTOPER1);
	m_ctlOper1.SetBitmap(Bitmap);
	m_ctlOper1.SetHintStr("Attack Move");
	Bitmap.Detach();
		
	Bitmap.LoadBitmap(IDB_BUTOPER2);
	m_ctlOper2.SetBitmap(Bitmap);
	m_ctlOper2.SetHintStr("Back Move");
	Bitmap.Detach();

	Bitmap.LoadBitmap(IDB_BUTOPER3);
	m_ctlOper3.SetBitmap(Bitmap);
	m_ctlOper3.SetHintStr("Block Move");
	Bitmap.Detach();

	Bitmap.LoadBitmap(IDB_BUTOPER4);
	m_ctlOper4.SetBitmap(Bitmap);
	m_ctlOper4.SetHintStr("Up Move");
	Bitmap.Detach();

	Bitmap.LoadBitmap(IDB_BUTOPER5);
	m_ctlOper5.SetBitmap(Bitmap);
	m_ctlOper5.SetHintStr("Down Move");
	Bitmap.Detach();

	Bitmap.LoadBitmap(IDB_BUTOPER6);
	m_ctlOper6.SetBitmap(Bitmap);
	m_ctlOper6.SetHintStr("Return To Original Body State");
	Bitmap.Detach();

	Bitmap.LoadBitmap(IDB_BUTOPER7);
	m_ctlOper7.SetBitmap(Bitmap);
	m_ctlOper7.SetHintStr("If - Condition of opponent Move");
	Bitmap.Detach();
	//---------------------

	Bitmap.LoadBitmap(IDB_ADDMOVE);
	m_ctlAddMove.SetBitmap(Bitmap);
	m_ctlAddMove.SetHintStr("Add Move");
	Bitmap.Detach();

	Bitmap.LoadBitmap(IDB_ADDPROG);
	m_ctlAddProg.SetBitmap(Bitmap);
	m_ctlAddProg.SetHintStr("Add Program");
	Bitmap.Detach();

	Bitmap.LoadBitmap(IDB_ADDDESC);
	m_ctlAddDesc.SetBitmap(Bitmap);
	m_ctlAddDesc.SetHintStr("Add Descendant Program");
	Bitmap.Detach();

	Bitmap.LoadBitmap(IDB_DELMOVE);
	m_ctlDelMove.SetBitmap(Bitmap);
	m_ctlDelMove.SetHintStr("Delete Move");
	Bitmap.Detach();

	Bitmap.LoadBitmap(IDB_DELPROG);
	m_ctlDelProg.SetBitmap(Bitmap);
	m_ctlDelProg.SetHintStr("Delete Program");
	Bitmap.Detach();
	//---------------------

	Bitmap.LoadBitmap(IDB_STARTGAME);
	m_ctlStart.SetBitmap(Bitmap);
	m_ctlStart.SetHintStr("Start Game");
	Bitmap.Detach();

	Bitmap.LoadBitmap(IDB_ENDPROGR);
	m_ctlEndProgr.SetBitmap(Bitmap);
	m_ctlEndProgr.SetHintStr("Pause Game");
	Bitmap.Detach();

	Bitmap.LoadBitmap(IDB_FINISH);
	m_ctlFinish.SetBitmap(Bitmap);
	m_ctlFinish.SetHintStr("Finish Game");
	Bitmap.Detach();

	SetCtlTitle(m_ctlTitle1, 14);
	SetCtlTitle(m_ctlTitle2, 14);
	SetCtlTitle(m_ctlCnt1, 14);
	SetCtlTitle(m_ctlCnt2, 14);
	SetCtlTitle(m_ctlGames1, 14);
	SetCtlTitle(m_ctlGames2, 14);

	SetCtlTitle(m_ctlTitle3, 12);
	m_ctlTitle3.SetFontName(_T("Courier"), TRUE);
	SetCtlTitle(m_ctlTitle4, 12);
	m_ctlTitle4.SetFontName(_T("Courier"), TRUE);
	SetCtlTitle(m_ctlTitle5, 12);
	SetCtlTitle(m_ctlTitle6, 12);
}
//------------------------------------------------------

void CSelectDlg::SetCtlTitle(COXStaticText &ctlTitle, int nSize)
{
	ctlTitle.SetFontName(_T("Times New Roman"));
	ctlTitle.SetFontHeight(nSize);
	ctlTitle.SetFontAttr(OX_BOLD_FONT);
	ctlTitle.SetTextColor(RGB(100, 60, 150));
	ctlTitle.SetBkColor(RGB(255, 255, 255));
	ctlTitle.SetEmboss(TRUE);
	ctlTitle.SetHorzAlignment(OX_ALIGNHORZ_LEFT, TRUE);
}
//------------------------------------------------------

void CSelectDlg::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	CRect rcClient;
	GetClientRect(&rcClient);
	UpdateRect(dc, rcClient);
}

void CSelectDlg::UpdateRect(CDC& dc, CRect& Rect1)
{
	CDC memDC, scrDC;
	CBitmap Bitmap, bmpScreen;

	if(!memDC.CreateCompatibleDC(&dc) || !scrDC.CreateCompatibleDC(&dc))
		return;

	Bitmap.LoadBitmap( MAKEINTRESOURCE(IDB_BACKGROUND) );
	BITMAP BitMap;
	Bitmap.GetBitmap(&BitMap);

	if(!bmpScreen.CreateCompatibleBitmap(&dc, Rect1.right+BitMap.bmWidth, Rect1.bottom+BitMap.bmHeight) )
		return;

	// then select new picture to draw
	CBitmap* pOldBmpMem= memDC.SelectObject(&Bitmap);
	CBitmap* pOldBmpScr= scrDC.SelectObject(&bmpScreen);
	
	int XOffsPic= 0;
	int YOffsPic= 0;
	int nRow= 0, nCol= 0;
	for(nRow= 0; nRow*BitMap.bmHeight < Rect1.bottom+YOffsPic; nRow++){
		for(nCol= 0; nCol*BitMap.bmWidth < Rect1.right+XOffsPic; nCol++)
			scrDC.BitBlt(nCol*BitMap.bmWidth, nRow*BitMap.bmHeight, BitMap.bmWidth, BitMap.bmHeight,
				&memDC, 0, 0, SRCCOPY);
	}
	scrDC.MoveTo(0, Rect1.bottom-2);
	scrDC.LineTo(Rect1.right, Rect1.bottom-2);
	dc.BitBlt(Rect1.left, Rect1.top, Rect1.Width(), Rect1.Height(), &scrDC, XOffsPic, YOffsPic, SRCCOPY);

	if(pOldBmpMem)
		memDC.SelectObject(pOldBmpMem);
	if(pOldBmpScr)
		scrDC.SelectObject(pOldBmpScr);
}
//------------------------------------------------------

void CSelectDlg::OnSize(UINT nType, int cx, int cy) 
{
	CDialogBar::OnSize(nType, cx, cy);
	RedrawWindow();
}
//------------------------------------------------------

void CSelectDlg::SetCountStr(int nCnt1, int nCnt2, int nCGms1, int nCGms2)
{
	CString strCnt;
	strCnt.Format("%d", nCnt1);
	m_ctlCnt1.SetWindowText(strCnt, TRUE);
	strCnt.Format("%d", nCnt2);
	m_ctlCnt2.SetWindowText(strCnt, TRUE);

	strCnt.Format("%d", nCGms1);
	m_ctlGames1.SetWindowText(strCnt, TRUE);
	strCnt.Format("%d", nCGms2);
	m_ctlGames2.SetWindowText(strCnt, TRUE);
	//UpdateData(FALSE);
}
//------------------------------------------------------

void CSelectDlg::RedrawScene()
{
	m_wndScene.RedrawClient();
}
//------------------------------------------------------

void CSelectDlg::OnStartGame(bool bStart)
{
	CBitmap Bitmap;
	if(bStart)
		Bitmap.LoadBitmap(IDB_GAMEON);
	else
		Bitmap.LoadBitmap(IDB_STARTGAME);

	m_ctlStart.SetBitmap(Bitmap);
	Bitmap.Detach();
}
//------------------------------------------------------
